﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek TDS3000 (1 yr) Bandwidth IEEE /9500/600
INSTRUMENT:            Sub Tek TDS3000 (1 yr) Trig Sens IEEE /9500/600
DATE:                  2010-08-03 10:08:23
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       6
NUMBER OF LINES:       204
CONFIGURATION:         Datron 9500 (S6)
CONFIGURATION:         Datron 9510 on channel 1
=============================================================================
#
#  Procedure Author:
#        ZY
#
#  Model(s) Covered:
#        TDS3000 Series
#           TDS 3012, TDS 3014, TDS 3032, TDS 3034, TDS 3052, TDS 3054
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub Tek TDS3000 Select Channel IEEE
#        Sub Tek TDS3000 Trigger Check and Level Adjust IEEE
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IEEE2        *RST;CLEARM;HEADER OFF
  1.002  CALL         Sub Tek TDS3000 Select Channel IEEE

  1.003  JMPL         BANDWIDTH                    PSUBI("Bandwidth")
  1.004  JMPL         TRIGGER_SENS                 PSUBI("Trig Sens")
  1.005  DISP         Subprocedure not found!
  1.006  END

  1.007  EVAL   Increment step number

# ********************** BANDWIDTH ************************************

  2.001  LABEL        BANDWIDTH
  2.002  HEAD         BANDWIDTH (CH [V @Chan]): 100 mV/div

  2.003  IF           @Chan == 1
  2.004  RSLT         =
  2.005  RSLT         =BANDWIDTH
  2.006  ENDIF

  2.007  RSLT         =
  2.008  RSLT         =Channel [V @Chan]
  2.009  TARGET
  2.010  IEEE2        ACQUIRE:MODE AVERAGE;NUMAVG 16
  2.011  IEEE2        TRIG:A:EDGE:SOURCE VERT;COUP NOISE
  2.012  IEEE2        HOR:SCA 10E-6
  2.013  IEEE2        CH[V @Chan]:COUP DC;IMP FIFTY;SCA 100E-3
  2.014  IEEE2        MEASU:MEAS1:SOURCE1 CH[V @Chan];TYP PK2;STATE ON

# Set the output of the calibrator so the peak-to-peak measurement is
# between 599 mV and 601 mV.
  2.015  MATH         MEM = 600; MEM1 = MEM

  2.016  DO
  2.017  MATH         MEM = MEM1 + (600 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  2.018  IF           MEM > 9500 || MEM < 5
  2.019  MATH         MEM = 600
  2.020  ENDIF

  2.021  9500         mVpp                         50kH           LS    S  L
  2.022  WAIT         [D1000]
  2.023  IEEE2        MEASU:MEAS1:VAL?[I]
  2.024  MATH         MEM = MEM / 1E-3
  2.025  UNTIL        (MEM >= 599) && (MEM <= 601)

# Last calibrator amplitude setting is in MEM1.
  2.026  MATH         MEM = MEM1
  2.027  IEEE2        HOR:SCA 10E-9

  2.028  IF           @Bandwidth == 100E+6
  2.029  IEEE2        HOR:SCA 10E-9
  2.030  9500         mVpp                         100MH          LS    S  L
  2.031  ELSEIF       @Bandwidth == 300E+6
  2.032  IEEE2        HOR:SCA 2E-9
  2.033  9500         mVpp                         300MH          LS    S  L
  2.034  ELSEIF       @Bandwidth == 500E+6
  2.035  IEEE2        HOR:SCA 1E-9
  2.036  9500         mVpp                         500MH          LS    S  L
  2.037  ENDIF

  2.038  WAIT         -t 5 System settling...
  2.039  IEEE2        MEASU:MEAS1:VAL?[I]
  2.040  MATH         MEM = MEM / 1E-3
  2.041  MATH         RstStr = FMT(MEM, "%.1f") & " mVpp"
  2.042  MATH         RstStr = " Bound >= 425 mVpp, result: " & RstStr
  2.043  EVAL   -e MEM >= 425 : [V RstStr]

  3.001  HEAD
  3.002  9500         *                                                 S
  3.003  END

  3.004  EVAL   Increment step number

# ********************** TRIGGER SENSITIVITY ****************************

  4.001  LABEL        TRIGGER_SENS
  4.002  HEAD         TRIGGER SENSITIVITY (CH [V @Chan])

  4.003  IF           @Chan == 1
  4.004  RSLT         =
  4.005  RSLT         =EDGE TRIGGER SENSITIVITY
  4.006  ENDIF

  4.007  RSLT         =
  4.008  RSLT         =Channel [V @Chan]
  4.009  HEAD         -2 RISING SLOPE
  4.010  TARGET
  4.011  IEEE2        ACQUIRE:MODE AVERAGE;NUMAVG 16
  4.012  IEEE2        TRIG:A:EDGE:SOURCE VERT
  4.013  IEEE2        HOR:SCA 10E-9
  4.014  IEEE2        CH[V @Chan]:IMP FIFTY;SCA 500E-3
  4.015  IEEE2        MEASU:MEAS1:SOURCE1 CH[V @Chan];TYP PK2;STATE ON

# Set the output of the calibrator so the peak-to-peak measurement is
# approximately 500 mV.
  4.016  MATH         MEM = 500; MEM1 = MEM

  4.017  DO
  4.018  MATH         MEM = MEM1 + (500 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  4.019  IF           MEM > 9500 || MEM < 5
  4.020  MATH         MEM = 500
  4.021  ENDIF

  4.022  IF           @Bandwidth == 100E+6
  4.023  9500         mVpp                         100MH          LS    S  L
  4.024  ELSEIF       @Bandwidth == 300E+6
  4.025  9500         mVpp                         300MH          LS    S  L
  4.026  ELSEIF       @Bandwidth == 500E+6
  4.027  9500         mVpp                         500MH          LS    S  L
  4.028  ENDIF

  4.029  MATH         CalOutVal = MEM1
  4.030  WAIT         [D1000]
  4.031  IEEE2        MEASU:MEAS1:VAL?[I]
  4.032  MATH         MEM = MEM / 1E-3
  4.033  UNTIL        (MEM >= 499) && (MEM <= 501)

  4.034  MATH         @PeakVal = MEM / 2
  4.035  CALL         Sub Tek TDS3000 Trigger Check and Level Adjust IEEE
  4.036  EVAL   -e @Triggered : Rising Slope, Stable Trigger

  5.001  HEAD         -2 FALLING SLOPE
  5.002  TARGET
  5.003  IEEE2        TRIGGER:A:EDGE:SLOPE FALL
  5.004  MATH         MEM = CalOutVal

  5.005  IF           @Bandwidth == 100E+6
  5.006  9500         mVpp                         100MH          LS    S  L
  5.007  ELSEIF       @Bandwidth == 300E+6
  5.008  9500         mVpp                         300MH          LS    S  L
  5.009  ELSEIF       @Bandwidth == 500E+6
  5.010  9500         mVpp                         500MH          LS    S  L
  5.011  ENDIF

  5.012  IEEE2        MEASU:MEAS1:VAL?[I]
  5.013  MATH         @PeakVal = MEM / 2
  5.014  CALL         Sub Tek TDS3000 Trigger Check and Level Adjust IEEE
  5.015  EVAL   -e @Triggered : Falling Slope, Stable Trigger

  6.001  HEAD         -2
  6.002  HEAD
  6.003  9500         *                                                 S
  6.004  END
